Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## crypting
Class NTRU

    java.lang.Object
      crypting.NTRU

    public class NTRU

extends java.lang.Object

Field Summary
`protected EncryptionKeyPair` | `generateKeys`
`protected EncryptionParameters` | `param`

Constructor Summary
`NTRU()`

Method Summary
`byte[]` | `desifrovani(byte[] cryptogram)`
`EncryptionPrivateKey` | `getPrivateKey()`
`EncryptionPublicKey` | `getPublicKey()`
`byte[]` | `sifrovani(byte[] input)`
`byte[]` | `sifrovani(java.lang.String inputText)`
`void` | `vygenerovani(EncryptionParameters param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### param

    protected EncryptionParameters param

### generateKeys

    protected EncryptionKeyPair generateKeys

Constructor Detail

### NTRU

    public NTRU()

Method Detail

### vygenerovani

    public void vygenerovani(EncryptionParameters param)

### sifrovani

    public byte[] sifrovani(java.lang.String inputText)
                     throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### sifrovani

    public byte[] sifrovani(byte[] input)
                     throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### desifrovani

    public byte[] desifrovani(byte[] cryptogram)
                       throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### getPublicKey

    public EncryptionPublicKey getPublicKey()

### getPrivateKey

    public EncryptionPrivateKey getPrivateKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD